Fiskil Docs

Get Transactions

Returns list of banking transactions available under the authorised consent

GET
/v1/banking/transactions

Returns list of banking transactions available under the authorised consent

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

A unique identifier for the Account object.

fromstring

The start datetime, in RFC3339 format, from which the transaction data is requested. It will first check for posted datetime, and fallback to execution datetime if empty. Transactions without an execution or posted datetime will be excluded from results.

Formatdate-time
tostring

The end datetime, in RFC3339 format, up to which the transaction data is requested. It will first check for posted datetime, and fallback to execution datetime if empty.

Formatdate-time
statusstring

Filter to include only transactions with the given status. If unset, transactions of all statuses will be returned

Value in"PENDING" | "POSTED"

Include only transactions with the specified secondary category code. Optional, but can be specified multiple times for or concatenation. Defaults to include all secondary category codes if omitted.

When the page[after] is specified, backwards pagination is achieved

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/banking/transactions?end_user_id=eu_abcdef123&account_id=acc_123456&from=2024-09-23T12%3A00%3A00%2B10%3A00&to=2024-09-23T12%3A00%3A00%2B10%3A00&status=PENDING"
{  "transactions": [    {      "account_id": "123456789",      "amount": "100.00",      "apca_number": "012345",      "arrangement_id": "90bfd779-e8eb-4e9f-87b3-5191ba7332c2",      "biller_code": "123456",      "biller_name": "Electricity Provider",      "category": {        "confidence_level": "VERY_HIGH",        "primary_category": "FOOD_AND_DRINK",        "secondary_category": "FOOD_AND_DRINK_GROCERIES"      },      "crn": "123456789012",      "currency": "AUD",      "description": "Payment for Invoice #1234",      "execution_date_time": "2024-09-10T15:30:00Z",      "extended_data": {        "extension_u_type": "x2p101Payload",        "npp_payload": {          "end_to_end_id": "string",          "extended_description": "string",          "purpose_code": "string",          "service": "X2P1",          "service_version": "01"        },        "payee": "PayID123",        "payer": "John Doe"      },      "fiskil_id": "bank_tx_abcdef1234",      "institution_id": "40",      "is_detail_available": true,      "merchant_category_code": "5411",      "merchant_name": "Supermarket",      "posting_date_time": "2024-09-11T09:00:00Z",      "reference": "REF123456",      "status": "POSTED",      "transaction_id": "txn-1234567890",      "type": "PAYMENT",      "value_date_time": "2024-09-11T09:00:00Z"    }  ],  "links": {    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}